on initializeDialogBoxer newpath
  global dialogboxer
  if objectp(dialogboxer) then
    quitDialogBoxer()
  end if
  tell the stage
    set savesearchpath to duplicate(the searchPath)
    set the searchPath to []
    if stringp(newpath) then
      append(the searchPath, newpath)
    end if
    if the machineType = 256 then
      append(the searchPath, the applicationPath & "Xtras\")
      append(the searchPath, the applicationPath & "Xtras\DialogBoxer\")
    else
      append(the searchPath, the applicationPath & "Xtras:")
      append(the searchPath, the applicationPath & "Xtras:DialogBoxer:")
    end if
    set dialogboxerwindow to window "DBXR-01.cct"
    set the visible of dialogboxerwindow to 0
    tell dialogboxerwindow
      set dialogboxer to new(script "DialogBoxer object")
    end tell
  end tell
  set the searchPath to savesearchpath
end

on quitDialogBoxer
  global dialogboxer
  if not objectp(dialogboxer) then
    exit
  end if
  call(#quit, dialogboxer)
  set dialogboxer to VOID
end
